package xyz.thastertyn.Window;

import java.io.IOException;
import java.net.UnknownHostException;
import java.util.List;

import com.googlecode.lanterna.TerminalSize;
import com.googlecode.lanterna.TextColor;
import com.googlecode.lanterna.graphics.SimpleTheme;
import com.googlecode.lanterna.gui2.Direction;
import com.googlecode.lanterna.gui2.Panel;
import com.googlecode.lanterna.gui2.Separator;
import com.googlecode.lanterna.gui2.TextGUIGraphics;
import com.googlecode.lanterna.gui2.table.Table;
import com.googlecode.lanterna.gui2.table.TableCellRenderer;

public class Rozvrh {
	
	private Panel rozvrhPanel = new Panel();

	private xyz.thastertyn.Jecna.Rozvrh rozvrh = new xyz.thastertyn.Jecna.Rozvrh();

	private String[] labels = {"Den", "7:30-8:15", "8:25-9:10", "9:20-10:05", "10:20-11:05", "11:15-12:00", "12:10-12:55", "13:05-13:50", "14:00-14:45", "14:55-15:40", "15:50-16:35"};

	String[] days = {"PO", "UT", "ST", "CT", "PA"};
	
	Table<String> t = new Table<>(labels);

	public byte download(String Jsessionid)
	{
		try 
		{
			rozvrh.downloadRozvrh(Jsessionid);

			String[][] r = rozvrh.getRozvrh();

			String[] s = new String[labels.length];

			for(int i = 0; i < r.length; i++)
			{
				s[0] = days[i];
				for(int j = 1; j < r[i].length; j++) { s[j] = r[i][j]; }

				t.getTableModel().addRow(s);
			}
			t.addTo(rozvrhPanel);

			return 0;
		}catch(UnknownHostException e)
		{
			return 127;
		}catch(IOException e)
		{
			return 126;
		}
	}

	public Panel getPanel()
	{
		return rozvrhPanel;
	}
}
